hdcp1x: XHdcp1x_Tx Struct Reference

| hdcp1x Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

Data Fields
XHdcp1x_Tx Struct Reference
Hdcp1x_v4_3

This typedef contains the transmit HDCP interface. More...

## Data Fields
u32 | CurrentState
| The interface's current state. More...
u32 | PreviousState
| The interface's previous state. More...
u64 | StateHelper
| The interface's state helper. More...
u16 | Flags
| The interface flags. More...
u16 | PendingEvents
| The bit map of pending events. More...
u64 | EncryptionMap
| The configured encryption map. More...
u16 | WaitForReadyPollCntFlag
      Count of the times we have
polled the BCaps every 100ms interval. More...
XHdcp1x_TxStats | Stats
| The interface's statistics. More...
u8 | TxIsHdmi
| Flag determines if TX is HDMI or DVI. More...
u8 | IsAuthReqPending
| Flag to track if a auth request is alive. More...
XHdcp1x_Callback | AuthenticatedCallback
| Authentication callback. More...
void * | AuthenticatedCallbackRef
| Authentication reference. More...
u32 | IsAuthenticatedCallbackSet
| Authentication config flag. More...
XHdcp1x_RunDdcHandler | DdcRead
| Function pointer for reading DDC. More...
void * | DdcReadRef
| Reference pointer set with XHdcp1x_SetCallback function. More...
u8 | IsDdcReadSet
| Set if DdcRead handler is defined. More...
XHdcp1x_RunDdcHandler | DdcWrite
| Function pointer for writing DDC. More...
void * | DdcWriteRef
| Reference pointer set with XHdcp1x_SetCallback function. More...
u8 | IsDdcWriteSet
| Set if DdcWrite handler is defined. More...
XHdcp1x_Callback | RepeaterExchangeCallback
| (Repeater)Exchange Repeater Values callback More...
void * | RepeaterExchangeRef
| (Repeater)Exchange Repeater Values reference More...
u32 | IsRepeaterExchangeCallbackSet
| (Repeater)Check to determine if Exchange Repeater Values callback is set flag More...
XHdcp1x_Callback | UnauthenticatedCallback
| Unauthenticated callback. More...
void * | UnauthenticatedCallbackRef
| Unauthenticated reference. More...
u32 | IsUnauthenticatedCallbackSet
| Unauthenticated config flag. More...
u16 | DownstreamReady
| The downstream interface's status flag. More...

## Detailed Description

This typedef contains the transmit HDCP interface.

## Field Documentation

XHdcp1x_Callback XHdcp1x_Tx::AuthenticatedCallback

Authentication callback.

Referenced by XHdcp1x_CfgInitialize(), and XHdcp1x_TxSetCallback().

void* XHdcp1x_Tx::AuthenticatedCallbackRef

Authentication reference.

Referenced by XHdcp1x_TxSetCallback().

u32 XHdcp1x_Tx::CurrentState

The interface's current state.

Referenced by XHdcp1x_TxGetTopology(), XHdcp1x_TxInfo(), XHdcp1x_TxIsAuthenticated(), XHdcp1x_TxIsEnabled(), XHdcp1x_TxIsInComputations(), and XHdcp1x_TxIsInWaitforready().

XHdcp1x_RunDdcHandler XHdcp1x_Tx::DdcRead

Function pointer for reading DDC.

Referenced by XHdcp1x_CfgInitialize(), and XHdcp1x_TxSetCallback().

void* XHdcp1x_Tx::DdcReadRef

Reference pointer set with XHdcp1x_SetCallback function.

Referenced by XHdcp1x_TxSetCallback().

XHdcp1x_RunDdcHandler XHdcp1x_Tx::DdcWrite

Function pointer for writing DDC.

Referenced by XHdcp1x_CfgInitialize(), and XHdcp1x_TxSetCallback().

void* XHdcp1x_Tx::DdcWriteRef

Reference pointer set with XHdcp1x_SetCallback function.

Referenced by XHdcp1x_TxSetCallback().

u16 XHdcp1x_Tx::DownstreamReady

The downstream interface's status flag.

u64 XHdcp1x_Tx::EncryptionMap

The configured encryption map.

Referenced by XHdcp1x_TxDisableEncryption(), XHdcp1x_TxEnableEncryption(), XHdcp1x_TxGetEncryption(), and XHdcp1x_TxInfo().

u16 XHdcp1x_Tx::Flags

The interface flags.

Referenced by XHdcp1x_TxInfo().

u32 XHdcp1x_Tx::IsAuthenticatedCallbackSet

Authentication config flag.

Referenced by XHdcp1x_CfgInitialize(), and XHdcp1x_TxSetCallback().

u8 XHdcp1x_Tx::IsAuthReqPending

Flag to track if a auth request is alive.

Referenced by XHdcp1x_TxAuthenticate(), XHdcp1x_TxIsInProgress(), and XHdcp1x_TxReset().

u8 XHdcp1x_Tx::IsDdcReadSet

Set if DdcRead handler is defined.

Referenced by XHdcp1x_CfgInitialize(), and XHdcp1x_TxSetCallback().

u8 XHdcp1x_Tx::IsDdcWriteSet

Set if DdcWrite handler is defined.

Referenced by XHdcp1x_CfgInitialize(), and XHdcp1x_TxSetCallback().

u32 XHdcp1x_Tx::IsRepeaterExchangeCallbackSet

(Repeater)Check to determine if Exchange Repeater Values callback is set flag

Referenced by XHdcp1x_CfgInitialize(), and XHdcp1x_TxSetCallback().

u32 XHdcp1x_Tx::IsUnauthenticatedCallbackSet

Unauthenticated config flag.

Referenced by XHdcp1x_CfgInitialize(), and XHdcp1x_TxSetCallback().

u16 XHdcp1x_Tx::PendingEvents

The bit map of pending events.

Referenced by XHdcp1x_TxInit().

u32 XHdcp1x_Tx::PreviousState

The interface's previous state.

Referenced by XHdcp1x_TxInfo().

XHdcp1x_Callback XHdcp1x_Tx::RepeaterExchangeCallback

(Repeater)Exchange Repeater Values callback

Referenced by XHdcp1x_CfgInitialize(), and XHdcp1x_TxSetCallback().

void* XHdcp1x_Tx::RepeaterExchangeRef

(Repeater)Exchange Repeater Values reference

Referenced by XHdcp1x_TxSetCallback().

u64 XHdcp1x_Tx::StateHelper

The interface's state helper.

Referenced by XHdcp1x_TxInfo().

XHdcp1x_TxStats XHdcp1x_Tx::Stats

The interface's statistics.

Referenced by XHdcp1x_TxInfo().

u8 XHdcp1x_Tx::TxIsHdmi

Flag determines if TX is HDMI or DVI.

Referenced by XHdcp1x_TxSetHdmiMode().

XHdcp1x_Callback XHdcp1x_Tx::UnauthenticatedCallback

Unauthenticated callback.

Referenced by XHdcp1x_CfgInitialize(), and XHdcp1x_TxSetCallback().

void* XHdcp1x_Tx::UnauthenticatedCallbackRef

Unauthenticated reference.

Referenced by XHdcp1x_TxSetCallback().

u16 XHdcp1x_Tx::WaitForReadyPollCntFlag

      Count of the times we have

polled the BCaps every 100ms interval.